import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';

export async function deleteByPrimaryKeyForProOnline(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proonline/delete?${stringify(params)}`);
}

export async function queryPageForProOnline(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proonline/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

